|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3ValueListConstIterator Class Reference

The Q3ValueListConstIterator class provides a const iterator for Q3ValueList. More...

    #include <Q3ValueListConstIterator>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits QLinkedList<T>::const_iterator.

- List of all members, including inherited members

### Public Functions

- Q3ValueListConstIterator ()
- Q3ValueListConstIterator ( const Q3ValueListConstIterator & o )
- Q3ValueListConstIterator ( const QLinkedList<T>::const_iterator & o )
- Q3ValueListConstIterator ( const QLinkedList<T>::iterator & o )

- 13 public functions inherited from QLinkedList::const_iterator

## Detailed Description

The Q3ValueListConstIterator class provides a const iterator for Q3ValueList.

In contrast to Q3ValueListIterator, this class is used to iterate over a const list. It does not allow modification of the values of the list since that would break const semantics.

You can create the appropriate const iterator type by using the `const_iterator` typedef provided by Q3ValueList.

For more information on Q3ValueList iterators, see Q3ValueListIterator.

See also Q3ValueListIterator and Q3ValueList.

## Member Function Documentation

### Q3ValueListConstIterator::Q3ValueListConstIterator ()

Constructs an unitialized iterator.

### Q3ValueListConstIterator::Q3ValueListConstIterator ( const Q3ValueListConstIterator & o )

Constructs a copy of iterator o.

### Q3ValueListConstIterator::Q3ValueListConstIterator ( const QLinkedList<T>::const_iterator & o )

Constructs a copy of iterator o.

### Q3ValueListConstIterator::Q3ValueListConstIterator ( const QLinkedList<T>::iterator & o )

Constructs a copy of iterator o.